<div class="delete-text">
  <p>{{data.text}}?</p>
  <div class="delete-btn">
    <button class="btn btn-sm btn-primary blue" [mat-dialog-close]="true" *ngIf="!data.type">Delete</button>
    <button class="btn btn-sm btn-primary blue" [mat-dialog-close]="true" *ngIf="data.type">Proceed</button>
    <button class="btn btn-sm btn-primary red" [mat-dialog-close]>Cancel</button>
  </div>
</div>